/** @(#)Datei.java	1.0b 21.Januar 1998 */

import java.io.*;
import java.awt.*;
//  author  	Ingo Walther
 
class Datei
{
	private String pfad;
	private String dateiname;
		
	//  Konstruktoren
	
	public Datei() {dateiname = pfad = null;}
		
	public Datei(String nDateiname) {
		pfad = "";
		dateiname = nDateiname;
	}
	
	//  Methoden
	
	public byte[] lies() 
	{
		if(dateiname == null)
		{
			Frame f = new Frame();
			FileDialog fd = new FileDialog(f);
			fd.setMode(FileDialog.LOAD);
			fd.show();
			dateiname = fd.getFile();
			pfad = fd.getDirectory();
			f = null;
			fd = null;
		}
		
		byte[] inhalt;
		
		try
		{
			File file = new File(pfad+dateiname);
			int dateigroesse = (int)file.length();
			inhalt = new byte[dateigroesse];

			FileReader fr = new FileReader(pfad + dateiname);
			for (int i = 0; i < dateigroesse; i++)
				inhalt[i] = (byte)fr.read();
			fr.close();
		}
		catch(FileNotFoundException f)
		{
			System.out.println("Datei " + dateiname + " nicht gefunden!");
			return null;
		}
		catch(IOException e)
		{
			System.out.println("Datei:"+e); 
			return null;
		}
				
		return inhalt;
	}
	
	
public boolean schreib(byte[] b)
	{
		if(dateiname == null)
		{
			Frame f = new Frame();
			FileDialog fd = new FileDialog(f);
			fd.setMode(FileDialog.SAVE);
			fd.show();
			dateiname = fd.getFile();
			pfad = fd.getDirectory();
			f = null;
			fd = null;
		}
		try
		{
			FileOutputStream fos = new FileOutputStream(pfad + dateiname);
			fos.write(b);
			fos.close();
		}
		catch(IOException e) 
		{ 
			System.out.println("Datei:"+e); 
			return false;
		}
		
		return true;
	}
	
}
		
		